namespace Application.Enrollments.Commands;

using FluentValidation;

public class EnrollStudentValidator : AbstractValidator<EnrollStudentCommand>
{
    public EnrollStudentValidator()
    {
        RuleFor(x => x.StudentId)
            .GreaterThan(0).WithMessage("Invalid student ID");

        RuleFor(x => x.SubjectId)
            .GreaterThan(0).WithMessage("Invalid subject ID");
    }
}

public class UnenrollStudentValidator : AbstractValidator<UnenrollStudentCommand>
{
    public UnenrollStudentValidator()
    {
        RuleFor(x => x.EnrollmentId)
            .GreaterThan(0).WithMessage("Invalid enrollment ID");
    }
}
